/*
 * i2c_functions.c
 *
 *  Created on: 2014/08/09
 *      Author: king
 */
#include  <msp430g2452.h>
#include "std_type.h"
#include "i2c_functions.h"

/** i2c_start
 * StartɃAhX𑗂
 * mode: Read=1 Write=0
 * addr: i2c slave address AhX7bitŁAŌR/Wrbg̂ŁAVtgĂ
 */
void i2c_start(uint8_t addr,uint8_t mode){
  while(!(P1IN & BIT6));
  USISRL = 0;
  USICTL0 |= USIGE + USIOE;
  USICTL0 &= ~USIGE;
//  LEDoN;
  i2c_send(addr<<1 | mode);
}
/**
 * i2c_stop
 */
void i2c_stop(void){
  USICTL0 |= USIOE;
  USISRL = 0;
  USICNT = 1;
  while(!(USICTL1 & USIIFG));
  USISRL = 0xff;
  USICTL0 |= USIGE;
  USICTL0 &= ~(USIGE + USIOE);
//  LEDoFF;
}

/** i2c_send(data)
 * i2c transmit
 * char data
 * return success(0) fail(1)
 */
int i2c_send(uint8_t aData){
  while(!(P1IN & BIT6));
  USISRL = aData;
  USICTL0 |= USIOE;
  USICNT = 8;
  while(!(USICTL1 & USIIFG));
  USICTL0 &= ~USIOE;
  USICNT = 1;
  while(!(USICTL1 & USIIFG));
  return USISRL & 1;
}

/** i2c_receive()
 * Received data from i2c BUS
 * return data(1byte)
 */
int i2c_receive(void){
	int val;
	while(!(P1IN & BIT6));
	USICTL0 &= ~USIOE;	// SDA input
	USICNT = 8;
	while(!(USICTL1 & USIIFG));
	val = USISRL;
	// ACK o͂
	USICTL0 |= USIOE;	// SDA output
	USISRL = 0;
	USICNT = 1;
	while(!(USICTL1 & USIIFG));
	return val;
}

