/*
 * lcd_aqm0802.c
 *
 *  Created on: 2014/08/10
 *      Author: king
 */
#include  <msp430g2452.h>
#include "std_type.h"
#include "lcd_aqm0802.h"
#include "i2c_functions.h"

/** const char lcd_aqm0802_init_buf[]
 * ̎ɑf[^BR[h1oCgB
 */
const char lcd_aqm0802_init_buf[] = {
  0x80, 0x38,  // normal instruction set
  0x80, 0x39,  // extension instruction set
  0x80, 0x14,  // freq.
  0x80, 0x78,  // contrast
  0x80, 0x5f,  // power/icon/contrast
  0x80, 0x6a,  // follower control
};
/** const char lcd_aqm0802_init_buf2[]
 * ̎ɑf[^A
 * lcd_aqm0802_init_buf[]o230msɑ鑤
 */
const char lcd_aqm0802_init_buf2[] = {
  0x80, 0x38, // display=on, cursor=on, blink=on
  0x80, 0x0c, // display=on, cursor=off, blink=off
  0x80, 0x01, // CLS
};

/** LCD AQM0802 Initialize
 * init1initi2͈ꊇB
 * initi1initi2̊Ԃ230ms̎ԑ҂^C}ō(main֐)߁B
 */
void lcd_init_1st(void){
	int i;
 	i2c_start(LCD_ADDR , I2C_RW_WRITE);
	for(i = 0; i < sizeof(lcd_aqm0802_init_buf); i ++){
		i2c_send(lcd_aqm0802_init_buf[i]);
	}
}

/** LCD AQM0802 Initialize 2nd
 */
void lcd_init_2nd(void){
	int i;
	for(i = 0; i < sizeof(lcd_aqm0802_init_buf2); i ++){
		i2c_send(lcd_aqm0802_init_buf2[i]);
	}
	i2c_stop();
}

/** entry mode set
 *@Gg[[hZbgBȂĂ悢B
 */
void lcd_set_entrymode(void){
	i2c_start(LCD_ADDR,I2C_RW_WRITE);
	i2c_send(0x80);				// Command set
	i2c_send(0x06);				// set Entry mode
	delayss(50);				// about 40us Ԃ
	i2c_stop();
}

/** lcd_locate
 * ddram: 00h=1s0 40h=2s0
 */
void lcd_locate(uint8_t ddram){
	i2c_start(LCD_ADDR,I2C_RW_WRITE);
	i2c_send(0x80);				// Command set
	i2c_send(0x80 | ddram);		// set DDRAM AhX bit7AhXݒrbg
	i2c_stop();
	delayss(50);				// about 40us Ԃ
}

/** lcd_puts
 *  𑗐M
 */
void lcd_puts(const char * s){
	i2c_start(LCD_ADDR,I2C_RW_WRITE);
	i2c_send(0x40);				// Data set
	while(*s)
		i2c_send( *s++ );
	i2c_stop();
}

void lcd_puts2(const char * s){
	while(*s)
		i2c_send( *s++ );
}

